CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

周长属性 (ActiveX)

2023-1-3 20:42| 发布者: admin| 查看: 391| 评论: 0|来自: AutoCAD

摘要: 指定圆的周长。

指定圆的周长。

支持的平台:仅窗口

签名

工 务 局:

object.Circumference
对象

类型:圆形

此属性适用的对象。

属性值

只读:

类型:

圆的周长。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Circumference()
    ' This example creates a Circle object in model space and
    ' returns the circumference of the Circle
    
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    
    ' Define the new Circle object
    centerPoint(0) = 0: centerPoint(1) = 0: centerPoint(2) = 0
    radius = 5#
    
    ' Create the Circle object in model space
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)

    ThisDrawing.Application.ZoomAll
    
    MsgBox "The circumference of the new Circle is: " & circleObj.Circumference
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Circumference()
    ;; This example creates a Circle object in model space and
    ;; returns the circumference of the Circle
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))   
    
    ;; Define the new Circle object
    (setq centerPoint (vlax-3d-point 5 5 0)
          radius 5)
    
    ;; Create the Circle object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq circleObj (vla-AddCircle modelSpace centerPoint radius))

    (vla-ZoomAll acadObj)
    
    (alert (strcat "The circumference of the new Circle is: " (rtos (vla-get-Circumference circleObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 12:23

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部